Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLARFG

    java.lang.Object
      org.netlib.lapack.SLARFG

    public class SLARFG

extends java.lang.Object

    SLARFG is a simplified interface to the JLAPACK routine slarfg.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLARFG generates a real elementary reflector H of order n, such
     *  that
     *
     *        H * ( alpha ) = ( beta ),   H' * H = I.
     *            (   x   )   (   0  )
     *
     *  where alpha and beta are scalars, and x is an (n-1)-element real
     *  vector. H is represented in the form
     *
     *        H = I - tau * ( 1 ) * ( 1 v' ) ,
     *                      ( v )
     *
     *  where tau is a real scalar and v is a real (n-1)-element
     *  vector.
     *
     *  If the elements of x are all zero, then tau = 0 and H is taken to be

     *  the unit matrix.
     *
     *  Otherwise  1 <= tau <= 2.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the elementary reflector.
     *
     *  ALPHA   (input/output) REAL
     *          On entry, the value alpha.
     *          On exit, it is overwritten with the value beta.
     *
     *  X       (input/output) REAL array, dimension
     *                         (1+(N-2)*abs(INCX))
     *          On entry, the vector x.
     *          On exit, it is overwritten with the vector v.
     *
     *  INCX    (input) INTEGER
     *          The increment between elements of X. INCX > 0.
     *
     *  TAU     (output) REAL
     *          The value tau.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLARFG()`

Method Summary
`static void` | `SLARFG(int n, floatW alpha, float[] x, int incx, floatW tau)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLARFG

    public SLARFG()

Method Detail

### SLARFG

    public static void SLARFG(int n,
                              floatW alpha,
                              float[] x,
                              int incx,
                              floatW tau)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD